Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class Holder

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.servlet.Holder

All Implemented Interfaces:
  java.io.Serializable, LifeCycle

Direct Known Subclasses:
  FilterHolder, ServletHolder

    public class Holder

extends AbstractLifeCycle
implements java.io.Serializable

Author:
  Greg Wilkins
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected java.lang.Class` | `_class`
`protected java.lang.String` | `_className`
`protected java.lang.String` | `_displayName`
`protected boolean` | `_extInstance`
`protected java.util.Map` | `_initParams`
`protected java.lang.String` | `_name`
`protected ServletHandler` | `_servletHandler`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`protected` | `Holder()`
`protected` | `Holder(java.lang.Class held)`

Method Summary
`void` | `destroyInstance(java.lang.Object instance)`
`void` | `doStart()`
`void` | `doStop()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getDisplayName()`
`java.lang.Class` | `getHeldClass()`
`java.lang.String` | `getInitParameter(java.lang.String param)`
`java.util.Enumeration` | `getInitParameterNames()`
`java.util.Map` | `getInitParameters()`
`java.lang.String` | `getName()`
`ServletHandler` | `getServletHandler()`
`java.lang.Object` | `newInstance()`
`void` | `setClassName(java.lang.String className)`
`void` | `setDisplayName(java.lang.String name)`
`void` | `setHeldClass(java.lang.Class held)`
`void` | `setInitParameter(java.lang.String param, java.lang.String value)`
`void` | `setInitParameters(java.util.Map map)`
`void` | `setName(java.lang.String name)` The name is a primary key for the held object.
`void` | `setServletHandler(ServletHandler servletHandler)`
`java.lang.String` | `toString()`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _class

    protected transient java.lang.Class _class

### _className

    protected java.lang.String _className

### _displayName

    protected java.lang.String _displayName

### _initParams

    protected java.util.Map _initParams

### _extInstance

    protected boolean _extInstance

### _name

    protected java.lang.String _name

### _servletHandler

    protected ServletHandler _servletHandler

Constructor Detail

### Holder

    protected Holder()

### Holder

    protected Holder(java.lang.Class held)

Method Detail

### doStart

    public void doStart()
                 throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### doStop

    public void doStop()

  Overrides:
    `doStop` in class `AbstractLifeCycle`

### getClassName

    public java.lang.String getClassName()

### getHeldClass

    public java.lang.Class getHeldClass()

### getDisplayName

    public java.lang.String getDisplayName()

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String param)

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

### getInitParameters

    public java.util.Map getInitParameters()

### getName

    public java.lang.String getName()

### getServletHandler

    public ServletHandler getServletHandler()

  Returns:
    Returns the servletHandler.

### newInstance

    public java.lang.Object newInstance()
                                 throws java.lang.InstantiationException,
                                        java.lang.IllegalAccessException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### destroyInstance

    public void destroyInstance(java.lang.Object instance)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setClassName

    public void setClassName(java.lang.String className)

  Parameters:
    `className` - The className to set.

### setHeldClass

    public void setHeldClass(java.lang.Class held)

  Parameters:
    `className` - The className to set.

### setDisplayName

    public void setDisplayName(java.lang.String name)

### setInitParameter

    public void setInitParameter(java.lang.String param,
                                 java.lang.String value)

### setInitParameters

    public void setInitParameters(java.util.Map map)

### setName

    public void setName(java.lang.String name)

  The name is a primary key for the held object. Ensure that the name is set BEFORE adding a Holder (eg ServletHolder or FilterHolder) to a ServletHandler.

  Parameters:
    `name` - The name to set.

### setServletHandler

    public void setServletHandler(ServletHandler servletHandler)

  Parameters:
    `servletHandler` - The `ServletHandler` that will handle requests dispatched to this servlet.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.